ST_StraightSkeleton
Prev | 8.20. SFCGAL Functions | Next

## Name

ST_StraightSkeleton — Compute a straight skeleton from a geometry

## Synopsis

`geometry ST_StraightSkeleton(`geometry geom`)`;

## Description

Availability: 2.1.0

This method needs SFCGAL backend.

This function supports 3d and will not drop the z-index.

This function supports Polyhedral surfaces.

This function supports Triangles and Triangulated Irregular Network Surfaces (TIN).

## Examples

    SELECT ST_StraightSkeleton(ST_GeomFromText('POLYGON (( 190 190, 10 190, 10 10, 190 10, 190 20, 160 30, 60 30, 60 130, 190 140, 190 190 ))'));

Original polygon | Straight Skeleton of polygon

Prev | Up | Next
ST_Orientation | Home | ST_Tesselate